# Return provider's SSL certificate request status

This function returns the status of an SSL certificate request. The returns include
actionable URLs for users to expedite the validation process, if applicable.

Important:

Because this function returns data from a dynamic source, the returns in each
object can vary.

Endpoint: GET /Market/get_certificate_status_details
Version: 11.138.0.10
Security: BasicAuth

## Query parameters:

  - `order_item_id` (integer, required)
    The order ID that the cPanel Market provider assigned.
    Example: 1234567890

  - `provider` (string, required)
    The cPanel Market provider's name.
    Example: "cPStore"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_certificate_status_details"

  - `module` (string)
    The name of the module called.
    Example: "Market"

  - `result` (object)

  - `result.data` (object)

  - `result.data.actionUrls` (object)
    An object that contains actionable URLs.

  - `result.data.actionUrls.evClickThroughStatus` (string)
    A URL that a user can use to expedite the validation process for Extended Validation (EV) certificates.
    Example: "https://example.com/action"

  - `result.data.actionUrls.ovCallbackStatus` (string)
    A URL that a user can use to expedite the validation process for Organization Validated (OV) certificates.
    Example: "https://example.com/action"

  - `result.data.domain_details` (object)
    An object that contains information about the domain.

  - `result.data.domain_details.domain` (string)
    The Fully Qualified Domain Name (FQDN) that the function queries.
    Example: "www.example.com"

  - `result.data.domain_details.status` (string)
    The status of the domain's certificate.

* VALIDATED - The domain has been validated.
* NOTVALIDATED - The domain has not been validated.
* AWAITINGBRAND - The domain has not been validated, and is awaiting brand approval.
    Enum: "VALIDATED", "NOTVALIDATED", "AWAITINGBRAND"

  - `result.data.status_details` (object)
    An object that contains specific information about the validation process.

  - `result.data.status_details.brandValStatus` (string)
    Whether the brand validation status has completed.

* not applicable - This is not applicable for the certificate.
* not-completed - The certificate's brand validation is not complete.
* completed - The certificate's brand validation is complete.
* in-progress - The certificate's brand validation is in progress.
    Enum: "not applicable", "not-completed", "completed", "in-progress"

  - `result.data.status_details.certificateStatus` (string)
    Whether the provider has issued the SSL certificate.

* not applicable - This is not applicable for the certificate.
* not-completed - The certificate's issue is not completed.
* completed - The provider has issued the certificate.
* in-progress - The certificate's issue is in progress.
    Enum: "not applicable", "not-completed", "completed", "in-progress"

  - `result.data.status_details.csrStatus` (string)
    Whether the certificate signing request (CSR) has completed.

* not applicable - This is not applicable for the certificate.
* not-completed - The CSR for the certificate is not complete.
* completed - The CSR for the certificate is complete.
* in-progress - The CSR for the certificate is in progress.
    Enum: "not applicable", "not-completed", "completed", "in-progress"

  - `result.data.status_details.dcvStatus` (string)
    Whether Domain Control Validation (DCV) has completed.

* not applicable - This is not applicable for the certificate.
* not-completed - The DCV for the certificate is not complete.
* completed - The DCV for the certificate is complete.
* in-progress - The DCV for the certificate is in progress.
    Enum: "not applicable", "not-completed", "completed", "in-progress"

  - `result.data.status_details.evClickThroughStatus` (string)
    Whether every requirement for the EV certificate has completed.

* not applicable - This is not applicable for the certificate.
* not-completed - The EV certificate's requirements check is not complete.
* completed - The EV certificate's requirements check is complete.
* in-progress - The EV certificate's requirements check is in progress.

For more information, read Sectigo's [What is required for validation?](https://support.sectigo.com/Com_KnowledgeDetailPage?Id=kA01N000000zFOr) documentation.
    Enum: "not applicable", "not-completed", "completed", "in-progress"

  - `result.data.status_details.freeDVUPStatus` (string)
    Whether every requirement for the Domain Validated (DV) certificate has completed.

* not applicable - This is not applicable for the certificate.
* not-completed - The DV certificate's requirements check is not complete.
* completed - The DV certificate's requirements check is complete.
* in-progress - The DV certificate's requirements check is in progress.
    Enum: "not applicable", "not-completed", "completed", "in-progress"

  - `result.data.status_details.organizationValidationStatus` (string)
    Whether every requirement for the OV certificate has completed.

* not applicable - This is not applicable for the certificate.
* not-completed - The OV certificate's requirements check is not complete.
* completed - The OV certificate's requirements check is complete.
* in-progress - The OV certificate's requirements check is in progress.
    Enum: "not applicable", "not-completed", "completed", "in-progress"

  - `result.data.status_details.ovCallbackStatus` (string)
    Whether the Certificate Authority (CA) has verified the organization's validity via a phone call.

* not applicable - This is not applicable for the certificate.
* not-completed - The CA has not verified the organization's validity via phone.
* completed - The CA has verified the organization's validity via phone.
* in-progress - The CA's verification of the organization's validity via phone is in progress.
    Enum: "not applicable", "not-completed", "completed", "in-progress"

  - `result.data.status_details.validationStatus` (string)
    Whether the validation process has completed.

* not applicable - This is not applicable for the certificate.
* not-completed - The certificate's validation is not complete.
* completed - The certificate's validation is complete.
* in-progress - The certificate's validation is in progress.
    Enum: "not applicable", "not-completed", "completed", "in-progress"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.
    Example: ["Certificate request is still being processed."]

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


